# Sample stunnel configuration file
# client = yes | no
# client mode (remote service uses SSL)
# default: no (server mode)
client = no
#
# chroot + user (comment out to disable)
#

#chroot = /var/run/
setuid = root
setgid = root
#setuid = stunnel
#setgid = nogroup
# note about the chroot feature and the "exec" keyword to start other
# services...while the init script /etc/init.d/stunnel will copy the
# binaries and librariesinto the chroot jail, more files might be needed
# in the jail (configurationfiles etc.)
pid = /var/run/stunnel.pid
#
# debugging
#
#debug = 7
#output = stunnel.log
#
# Some performance tunings
#
# disable Nagle algorithm (a.k.a. tinygram prevention, see man 7 tcp)
socket = l:TCP_NODELAY=1
socket = r:TCP_NODELAY=1
#compression = rle
# Authentication stuff
#verify = 2
# Don't forget to c_rehash CApath; CApath is located inside chroot jail:
#CApath = /certs
# It's often easier to use CAfile:
#CAfile = /etc/stunnel/certs.pem
# Don't forget to c_rehash CRLpath; CRLpath is located inside chroot
# jail:
#CRLpath = /crls
# Alternatively you can use CRLfile:
#CRLfile = /etc/stunnel/crls.pem
cert = /etc/stunnel/stunnel.pem
#
# Examples for service-level configuration:
#
# [pop3s]
# accept = 995
# connect = 110
[imaps]
accept = 993
connect = 143
[ssmtp]
accept = 465
connect = mail.bursztynowski.waw.pl:25
[uals]
accept = 5767
connect = mail.bursztynowski.waw.pl:5729
